using AipGateway.API.Domain.Entities;
using AipGateway.API.Domain.Models;

namespace AipGateway.API.Services
{
    public interface IApiDbService
    {
        Task<ApiResponseDto> ReloadDatabase();

        // Base Table Interface
        Task<List<LinkedSystemDto>> GetLinkedSystems();
        Task<List<LinkedServerDto>> GetLinkedServers();
        Task<List<LinkedApiKeyDto>> GetLinkedApiKeys();
        Task<List<LinkedDecryptKeyDto>> GetLinkedDecryptKeys();

    }
}
